Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.soap
Class Utils

    java.lang.Object
      |
      +--org.apache.soap.Utils

public class Utils
extends java.lang.Object

SOAP utilities.

Constructor Summary
`Utils()`

Method Summary
`static java.util.Vector` | `buildFaultDetailsFromThrowable(java.lang.Throwable t)` Given a throwable, return a vector containing a single entry which is an Element with one text node containing the stack trace.
`static void` | `checkMustUnderstands(Header header)` Check for mustUnderstand headers, and throw a mustUnderstand Fault if we find any.
`static java.lang.String` | `cleanString(java.lang.String orig)`
`static void` | `marshallNode(Node node, java.io.Writer sink)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Utils

    public Utils()

Method Detail

### cleanString

    public static java.lang.String cleanString(java.lang.String orig)

### marshallNode

    public static void marshallNode(Node node,
                                    java.io.Writer sink)

### buildFaultDetailsFromThrowable

    public static java.util.Vector buildFaultDetailsFromThrowable(java.lang.Throwable t)

  Given a throwable, return a vector containing a single entry which is an Element with one text node containing the stack trace.

### checkMustUnderstands

    public static void checkMustUnderstands(Header header)
                                     throws SOAPException

  Check for mustUnderstand headers, and throw a mustUnderstand Fault if we find any.
    `SOAPException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 The Apache Software Foundation. All rights reserved.